Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepMgrAddRemoteSite Method (ReplicationHostAddress)
DatabaseEnvironment Class See Also

Add a new replication site to the replication manager's list of known sites. It is not necessary for all sites in a replication group to know about all other sites in the group.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public int RepMgrAddRemoteSite(
    	ReplicationHostAddress Host
    )

Visual Basic (Declaration)
    Public Function RepMgrAddRemoteSite ( _
    	Host As ReplicationHostAddress _
    ) As Integer

Visual C++
    public:
    int RepMgrAddRemoteSite(
    	ReplicationHostAddress^ Host
    )

#### Parameters

Host
  Type: BerkeleyDB..::.ReplicationHostAddress
  The remote site's address

#### Return Value

The environment ID assigned to the remote site

# See Also

DatabaseEnvironment Class
RepMgrAddRemoteSite Overload
BerkeleyDB Namespace